# Required definitions for kernel module builds
LINUXKERNEL_CONFIG          = omapl138_hawkboard_defconfig
LINUXKERNEL_INSTALL_DIR     ?= $(HOME)/workdir/hawkboard/kernel/
UBOOT_CONFIG                = omapl_hawkboard_config
UBOOT_INSTALL_DIR           ?= $(HOME)/workdir/hawkboard/uboot/

# Required definitions for DSPLINK builds
DSPLINK_PLATFORM            = OMAPL138
DSPLINK_DSP_PROCESSOR       = OMAPL138GEM
GPPOS                       = ARM
DSPOS                       = DSPBIOS5XX
DSPLINK_CFG_OPTS            =--nodsp=1 --DspTskMode=1

# Default memory map variables (can be overridden)
DSP_REGION_BASE_ADDR        ?= 0xC2000000
DSP_REGION_CMEM_SIZE        ?= 0x01000000
DSP_REGION_CODE_SIZE        ?= 0x01000000

# Architecture Specific Compiler flags (ARM one - CFLAGS -  can be overridden)
PLATFORM_CFLAGS             = -DDSP_REGION_BASE_ADDR=$(DSP_REGION_BASE_ADDR) -DDSP_REGION_CMEM_SIZE=$(DSP_REGION_CMEM_SIZE) -DDSP_REGION_CODE_SIZE=$(DSP_REGION_CODE_SIZE)
CFLAGS                      ?= -mcpu=arm926ej-s -mlittle-endian -mfloat-abi=soft
DSP_CFLAGS                  = -mv6740
