/*
 * dsp_stubs_ctype.c
 */

/*
 * Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/ 
 * Copyright (C) 2010 Yaman Umuroglu 
 */

/* 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

#include <ctype.h>
#include "dsp_stubs_base.h"

/* ctype.h function stubs -------------------------------------*/

int rpc_isalnum(int c)
{
    RPC_INIT("rpc_isalnum", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_isalpha(int c)
{
    RPC_INIT("rpc_isalpha", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_iscntrl(int c)
{
    RPC_INIT("rpc_iscntrl", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_isdigit(int c)
{
    RPC_INIT("rpc_isdigit", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_isgraph(int c)
{
    RPC_INIT("rpc_isgraph", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_islower(int c)
{
    RPC_INIT("rpc_islower", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_isprint(int c)
{
    RPC_INIT("rpc_isprint", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_ispunct(int c)
{
    RPC_INIT("rpc_ispunct", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_isspace(int c)
{
    RPC_INIT("rpc_isspace", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_isupper(int c)
{
    RPC_INIT("rpc_isupper", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_isxdigit(int c)
{
    RPC_INIT("rpc_isxdigit", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_tolower(int c)
{
    RPC_INIT("rpc_tolower", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}

int rpc_toupper(int c)
{
    RPC_INIT("rpc_toupper", "ii");
    RPC_PARAM(int, &c);
    RPC_PERFORM();
    return RPC_GETRESULT(int);
}
